<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPhoneSecurityProfileReq StructType
 * @subpackage Structs
 */
class AddPhoneSecurityProfileReq extends APIRequest
{
    /**
     * The phoneSecurityProfile
     * @var XPhoneSecurityProfile
     */
    public $phoneSecurityProfile;
    /**
     * Constructor method for AddPhoneSecurityProfileReq
     * @uses AddPhoneSecurityProfileReq::setPhoneSecurityProfile()
     * @param XPhoneSecurityProfile $phoneSecurityProfile
     */
    public function __construct(XPhoneSecurityProfile $phoneSecurityProfile = null)
    {
        $this
            ->setPhoneSecurityProfile($phoneSecurityProfile);
    }
    /**
     * Get phoneSecurityProfile value
     * @return XPhoneSecurityProfile|null
     */
    public function getPhoneSecurityProfile()
    {
        return $this->phoneSecurityProfile;
    }
    /**
     * Set phoneSecurityProfile value
     * @param XPhoneSecurityProfile $phoneSecurityProfile
     * @return AddPhoneSecurityProfileReq
     */
    public function setPhoneSecurityProfile(XPhoneSecurityProfile $phoneSecurityProfile = null)
    {
        $this->phoneSecurityProfile = $phoneSecurityProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPhoneSecurityProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
